Skip to content
Docs

Pull an image manifest

GEThttps://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/manifests/{reference}
GET /v2/:teamSlug/:projectSlug/:repositoryName/manifests/:reference Fetch a manifest by tag or digest.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel();
async function run() {
await vercel.vcr.getByTeamSlugByProjectSlugByRepositoryNameManifestsByReference({
teamSlug: "team-slug",
projectSlug: "project-slug",
repositoryName: "nginx",
reference: "latest",
});
}
run();
Response
{}
teamSlugstringRequired
Single Docker repository team slug component.
projectSlugstringRequired
Single Docker repository project slug component.
repositoryNamestringRequired
Single Docker repository name component.
referencestringRequired
Manifest reference: a tag or digest.
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error